Subject: bug#9891: 24.0.90; Duplicated entry at the info directory

From: Eli Zaretskii <[email-masked]>
Date: Mon, 31 Oct 2011 20:53:33 +0200

> Date: Sat, 29 Oct 2011 20:55:25 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> >> I don't have an INFOPATH environment variable, but I've seen that,
> >> inside Emacs, the value of the variable `Info-directory-list' is
> >> ("c:/emacs/trunk/info/" "c:/emacs/build/info/").
> >>
> >> Each of these two directories has a `dir' file.  They are exact copies
> >> from the emacs-trunk repository (with a single `Info' entry).
> >
> > Then I think the duplication in the info menu is expected. IIUC, info
> > does not make any attempt to "uniquify" menu entries (the standalone
> > info program behaves in the same way).

This is false; see Info-dir-remove-duplicates.

> Aha, but then I wonder why the only entry that gets duplicated is the
> `Info' one, instead of every menu entry.  BTW, the extra `Info' entry
> isn't located next to the first one, but at the very end of the buffer
> (just after the `SMTP' entry).

This happens because after concatenating the two identical `dir'
files, the second `Info' entry looks as if it belongs to the last
heading, "Emacs lisp libraries".  Info-dir-remove-duplicates only
removes duplicates under the same heading.

> > I think the only remaining issue that might be a bug is: did the normal
> > Emacs-on-MS-Windows build process create these duplicate directories,
> > or did you do something to end up in that state?

It is normal.